Bug 33897 - Use template wrapper for tabs: OPAC bibliographic detail page
Summary: Use template wrapper for tabs: OPAC bibliographic detail page
Status: Pushed to oldstable
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Owen Leonard
QA Contact: Katrin Fischer
URL:
Keywords:
Depends on: 33891
Blocks: 32571
  Show dependency treegraph
 
Reported: 2023-06-05 14:01 UTC by Owen Leonard
Modified: 2023-07-18 10:50 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:
23.11.00,23.05.02,22.11.08


Attachments
Bug 33897: Use template wrapper for tabs: OPAC bibliographic detail page (43.87 KB, patch)
2023-06-05 14:22 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 33897: Use template wrapper for tabs: OPAC bibliographic detail page (43.93 KB, patch)
2023-06-05 22:50 UTC, Lucas Gass
Details | Diff | Splinter Review
Bug 33897: (QA follow-up) Correct code for tab selection (1.43 KB, patch)
2023-06-09 17:28 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 33897: Use template wrapper for tabs: OPAC bibliographic detail page (43.98 KB, patch)
2023-06-10 19:06 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 33897: (QA follow-up) Correct code for tab selection (1.49 KB, patch)
2023-06-10 19:06 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2023-06-05 14:01:30 UTC
Continuing the work of Bug 32571, I would like to update the OPAC bibliographic detail page page use the new WRAPPER for tabs
Comment 1 Owen Leonard 2023-06-05 14:22:15 UTC
Created attachment 151991 [details] [review]
Bug 33897: Use template wrapper for tabs: OPAC bibliographic detail page

This patch updates the OPAC bibliographic detail page so that it uses
the new WRAPPER syntax to generate tabs markup.

To test, apply the patch and locate a bibliographic record. View the
detail page. Verify that tabs are working, including all the options:

  - Holdings
  - Other holdings (If OpacSeparateHoldings is enabled)
  - Descriptions (MARC notes)
  - Subscriptions
  - Serial collection (UNIMARC, untested)
  - Components (If ShowComponentRecords is enabled. See Bug 11175 for
    sample record)
  - Comments
  - Editions (OPACFRBRizeEditions)
  - Html5media (If HTML5MediaEnabled is on. See Bug 8377 for sample
    records)
  - Images (If OPACLocalCoverImages is enabled)
  - NovelistSelect
  - Author identifiers (Witgh OPACAuthorIdentifiers enabled, see Bug
    29897)

Bonus points for testing these tabs for which I don't have credentials:
- Syndetics TOC
- Syndetics Excerpt
- Syndetics Reviews
- Syndetics AuthorNotes
- LibraryThing for Libraries (with LibraryThingForLibrariesTabbedView
  set to "in tabs.")
Comment 2 Lucas Gass 2023-06-05 22:50:42 UTC
Created attachment 152016 [details] [review]
Bug 33897: Use template wrapper for tabs: OPAC bibliographic detail page

This patch updates the OPAC bibliographic detail page so that it uses
the new WRAPPER syntax to generate tabs markup.

To test, apply the patch and locate a bibliographic record. View the
detail page. Verify that tabs are working, including all the options:

  - Holdings
  - Other holdings (If OpacSeparateHoldings is enabled)
  - Descriptions (MARC notes)
  - Subscriptions
  - Serial collection (UNIMARC, untested)
  - Components (If ShowComponentRecords is enabled. See Bug 11175 for
    sample record)
  - Comments
  - Editions (OPACFRBRizeEditions)
  - Html5media (If HTML5MediaEnabled is on. See Bug 8377 for sample
    records)
  - Images (If OPACLocalCoverImages is enabled)
  - NovelistSelect
  - Author identifiers (Witgh OPACAuthorIdentifiers enabled, see Bug
    29897)

Bonus points for testing these tabs for which I don't have credentials:
- Syndetics TOC
- Syndetics Excerpt
- Syndetics Reviews
- Syndetics AuthorNotes
- LibraryThing for Libraries (with LibraryThingForLibrariesTabbedView
  set to "in tabs.")

Signed-off-by: Lucas Gass <lucas@bywatersolutions.com>
Comment 3 Lucas Gass 2023-06-05 22:52:41 UTC
This looks good. I was able to test with Syndetics but not LibraryThing for Libraries. 

Unrelated thing: I notices a modal ( #libraryInfoModal ) that is outside of the page's HTML tags. So I filed Bug 33902.
Comment 4 Katrin Fischer 2023-06-08 19:36:23 UTC
It looks like this patch breaks the opacSerialDefaultTab functionality. When it's set to subscription, the subscription tab should be active when loading the detail page when a subscription exists.
Comment 5 Owen Leonard 2023-06-09 17:28:46 UTC
Created attachment 152262 [details] [review]
Bug 33897: (QA follow-up) Correct code for tab selection

This patch corrects the code for selecting tabs other than the first
tab.

To test, apply the patch and view the bibliographic detail page for a
serial record and with various settings of the opacSerialDefaultTab
system preference.

If you select "subscriptions tab" the subscriptions tab should be active
by default.

You can also enable html5media and view a record with html5media
information and no holdings. The media tab should be displayed by
default.
Comment 6 Katrin Fischer 2023-06-10 19:06:24 UTC
Created attachment 152268 [details] [review]
Bug 33897: Use template wrapper for tabs: OPAC bibliographic detail page

This patch updates the OPAC bibliographic detail page so that it uses
the new WRAPPER syntax to generate tabs markup.

To test, apply the patch and locate a bibliographic record. View the
detail page. Verify that tabs are working, including all the options:

  - Holdings
  - Other holdings (If OpacSeparateHoldings is enabled)
  - Descriptions (MARC notes)
  - Subscriptions
  - Serial collection (UNIMARC, untested)
  - Components (If ShowComponentRecords is enabled. See Bug 11175 for
    sample record)
  - Comments
  - Editions (OPACFRBRizeEditions)
  - Html5media (If HTML5MediaEnabled is on. See Bug 8377 for sample
    records)
  - Images (If OPACLocalCoverImages is enabled)
  - NovelistSelect
  - Author identifiers (Witgh OPACAuthorIdentifiers enabled, see Bug
    29897)

Bonus points for testing these tabs for which I don't have credentials:
- Syndetics TOC
- Syndetics Excerpt
- Syndetics Reviews
- Syndetics AuthorNotes
- LibraryThing for Libraries (with LibraryThingForLibrariesTabbedView
  set to "in tabs.")

Signed-off-by: Lucas Gass <lucas@bywatersolutions.com>
Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 7 Katrin Fischer 2023-06-10 19:06:27 UTC
Created attachment 152269 [details] [review]
Bug 33897: (QA follow-up) Correct code for tab selection

This patch corrects the code for selecting tabs other than the first
tab.

To test, apply the patch and view the bibliographic detail page for a
serial record and with various settings of the opacSerialDefaultTab
system preference.

If you select "subscriptions tab" the subscriptions tab should be active
by default.

You can also enable html5media and view a record with html5media
information and no holdings. The media tab should be displayed by
default.

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 8 Tomás Cohen Arazi 2023-06-12 18:46:24 UTC
Pushed to master for 23.11.

Nice work everyone, thanks!
Comment 9 Martin Renvoize 2023-07-17 07:22:30 UTC
Thanks for all the hard work!

Pushed to 23.05.x for the next release
Comment 10 Pedro Amorim 2023-07-18 10:50:20 UTC
Nice work everyone!

Pushed to 22.11.x for next release